Manifest-Version: 1.0
Bnd-LastModified: 1721262674674
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal Security LDAP Implementation
Bundle-SymbolicName: com.liferay.portal.security.ldap.impl
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 3.0.23.hotfix-9021-7310
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.liferay.admin.kernel.util;version="2.0",com.lifera
 y.expando.kernel.model;version="3.3",com.liferay.expando.kernel.servi
 ce;version="1.7",com.liferay.expando.kernel.util;version="2.0",com.li
 feray.petra.lang;version="1.3",com.liferay.petra.string;version="1.4"
 ,com.liferay.portal.configuration.metatype.bnd.util;version="2.0",com
 .liferay.portal.configuration.persistence.listener;version="1.1",com.
 liferay.portal.instance.lifecycle;version="2.0",com.liferay.portal.ke
 rnel.bean;version="8.0",com.liferay.portal.kernel.cache;version="9.1"
 ,com.liferay.portal.kernel.exception;version="9.5",com.liferay.portal
 .kernel.language;version="8.3",com.liferay.portal.kernel.lock;version
 ="7.3",com.liferay.portal.kernel.log;version="7.0",com.liferay.portal
 .kernel.messaging;version="9.1",com.liferay.portal.kernel.model;versi
 on="5.6",com.liferay.portal.kernel.module.configuration;version="2.0"
 ,com.liferay.portal.kernel.scheduler;version="9.1",com.liferay.portal
 .kernel.security.auth;version="2.6",com.liferay.portal.kernel.securit
 y.exportimport;version="1.0",com.liferay.portal.kernel.security.ldap;
 version="1.0",com.liferay.portal.kernel.security.pwd;version="2.0",co
 m.liferay.portal.kernel.service;version="4.16",com.liferay.portal.ker
 nel.service.persistence;version="6.6",com.liferay.portal.kernel.trans
 action;version="8.1",com.liferay.portal.kernel.upgrade;version="8.5",
 com.liferay.portal.kernel.util;version="10.28",com.liferay.portal.sec
 urity.exportimport;version="1.0",com.liferay.portal.security.ldap;ver
 sion="2.0",com.liferay.portal.security.ldap.authenticator.configurati
 on;version="1.0",com.liferay.portal.security.ldap.configuration;versi
 on="2.0",com.liferay.portal.security.ldap.constants;version="2.0",com
 .liferay.portal.security.ldap.dummy;version="1.0",com.liferay.portal.
 security.ldap.exportimport;version="1.1",com.liferay.portal.security.
 ldap.exportimport.configuration;version="1.0",com.liferay.portal.secu
 rity.ldap.util;version="1.2",com.liferay.portal.security.ldap.validat
 or;version="1.1",com.liferay.portal.upgrade.registry;version="3.0",co
 m.liferay.portal.verify,javax.naming,javax.naming.directory,javax.nam
 ing.ldap,javax.swing,javax.swing.event,javax.swing.tree,org.apache.co
 mmons.lang.time;version="2.6",org.osgi.framework;version="1.8",org.os
 gi.service.cm;version="1.5"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Portal Security
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, NTLM 
 Authentication, OpenID Authentication, OpenSSO Authentication, Remote
  Authentication (AuthVerifiers), SSO-based Authentication, Token-base
 d Authentication, Portal Scripting, Elasticsearch Support, Solr Suppo
 rt, Documents and Media Store Implementations, and more.<br /><br />T
 he Foundation suite provides applications and features that extend th
 e functionality provided by Liferay's core. Much of the functionality
  that belonged to Liferay's core prior to Liferay 7 has been extracte
 d into the modules of the Foundation suite. The authentication module
 s provide a variety of mechanisms for allowing users and remote appli
 cations to authenticate to Liferay. The LDAP Authentication module al
 lows administrators to establish connections to one or more LDAP dire
 ctories from which users can be imported or exported. The SSO modules
  allow users to authenticate to Liferay using a variety of single-sig
 n on solutions. The Token-based Authentication module allows users or
  remote applications to authenticate to Liferay without a password. T
 he Scripting modules allow scripts to be written to invoke Liferay's 
 API in several languages including Groovy, BeanShell, Python, Ruby, a
 nd JavaScript.<br /><br />This suite is available in the Liferay bund
 le.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: antlr,antlr.ASdebug,antlr.actions.cpp,antlr.actions.c
 sharp,antlr.actions.java,antlr.actions.python,antlr.build,antlr.colle
 ctions,antlr.collections.impl,antlr.debug,antlr.debug.misc,antlr.prep
 rocessor,com.liferay.portal.security.ldap.internal,com.liferay.portal
 .security.ldap.internal.authenticator,com.liferay.portal.security.lda
 p.internal.authenticator.configuration,com.liferay.portal.security.ld
 ap.internal.configuration,com.liferay.portal.security.ldap.internal.c
 onfiguration.persistence.listener,com.liferay.portal.security.ldap.in
 ternal.constants,com.liferay.portal.security.ldap.internal.exportimpo
 rt,com.liferay.portal.security.ldap.internal.exportimport.configurati
 on,com.liferay.portal.security.ldap.internal.instance.lifecycle,com.l
 iferay.portal.security.ldap.internal.messaging.config,com.liferay.por
 tal.security.ldap.internal.model.listener,com.liferay.portal.security
 .ldap.internal.upgrade,com.liferay.portal.security.ldap.internal.upgr
 ade.v1_0_0,com.liferay.portal.security.ldap.internal.validator,com.li
 feray.portal.security.ldap.internal.validator.parser,com.liferay.port
 al.security.ldap.internal.verify,org.antlr,org.antlr.analysis,org.ant
 lr.codegen,org.antlr.codegen.templates,org.antlr.codegen.templates.C,
 org.antlr.codegen.templates.CSharp,org.antlr.codegen.templates.Java,o
 rg.antlr.codegen.templates.ObjC,org.antlr.codegen.templates.Python,or
 g.antlr.codegen.templates.Ruby,org.antlr.codegen.templates.cpp,org.an
 tlr.misc,org.antlr.runtime,org.antlr.runtime.debug,org.antlr.runtime.
 misc,org.antlr.runtime.tree,org.antlr.stringtemplate,org.antlr.string
 template.language,org.antlr.stringtemplate.misc,org.antlr.stringtempl
 ate.test,org.antlr.tool,org.antlr.tool.templates,org.antlr.tool.templ
 ates.dot,org.antlr.tool.templates.messages.formats,org.antlr.tool.tem
 plates.messages.languages
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .portal.configuration.persistence.listener.ConfigurationModelListener
 ,com.liferay.portal.security.ldap.internal.configuration.persistence.
 listener.UserImportConfigurationModelListener";uses:="com.liferay.por
 tal.configuration.persistence.listener,com.liferay.portal.security.ld
 ap.internal.configuration.persistence.listener",osgi.service;objectCl
 ass:List<String>="com.liferay.portal.instance.lifecycle.PortalInstanc
 eLifecycleListener";uses:="com.liferay.portal.instance.lifecycle",osg
 i.service;objectClass:List<String>="com.liferay.portal.kernel.model.M
 odelListener";uses:="com.liferay.portal.kernel.model",osgi.service;ob
 jectClass:List<String>="com.liferay.portal.kernel.security.auth.Authe
 nticator";uses:="com.liferay.portal.kernel.security.auth",osgi.servic
 e;objectClass:List<String>="com.liferay.portal.kernel.security.ldap.A
 ttributesTransformer";uses:="com.liferay.portal.kernel.security.ldap"
 ,osgi.service;objectClass:List<String>="com.liferay.portal.kernel.sec
 urity.ldap.LDAPSettings";uses:="com.liferay.portal.kernel.security.ld
 ap",osgi.service;objectClass:List<String>="com.liferay.portal.securit
 y.exportimport.UserExporter";uses:="com.liferay.portal.security.expor
 timport",osgi.service;objectClass:List<String>="com.liferay.portal.se
 curity.exportimport.UserImporter,com.liferay.portal.security.ldap.exp
 ortimport.LDAPUserImporter";uses:="com.liferay.portal.security.export
 import,com.liferay.portal.security.ldap.exportimport",osgi.service;ob
 jectClass:List<String>="com.liferay.portal.security.ldap.PortalLDAP";
 uses:="com.liferay.portal.security.ldap",osgi.service;objectClass:Lis
 t<String>="com.liferay.portal.security.ldap.SafePortalLDAP";uses:="co
 m.liferay.portal.security.ldap",osgi.service;objectClass:List<String>
 ="com.liferay.portal.security.ldap.configuration.ConfigurationProvide
 r";uses:="com.liferay.portal.security.ldap.configuration",osgi.servic
 e;objectClass:List<String>="com.liferay.portal.security.ldap.exportim
 port.LDAPToPortalConverter";uses:="com.liferay.portal.security.ldap.e
 xportimport",osgi.service;objectClass:List<String>="com.liferay.porta
 l.security.ldap.exportimport.PortalToLDAPConverter";uses:="com.lifera
 y.portal.security.ldap.exportimport",osgi.service;objectClass:List<St
 ring>="com.liferay.portal.security.ldap.validator.LDAPFilterValidator
 ";uses:="com.liferay.portal.security.ldap.validator",osgi.service;obj
 ectClass:List<String>="com.liferay.portal.upgrade.registry.UpgradeSte
 pRegistrator";uses:="com.liferay.portal.upgrade.registry",osgi.servic
 e;objectClass:List<String>="com.liferay.portal.verify.VerifyProcess";
 uses:="com.liferay.portal.verify",osgi.service;objectClass:List<Strin
 g>="org.osgi.service.cm.ConfigurationListener";uses:="org.osgi.servic
 e.cm"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=osgi.compo
 nent)(version>=1.3.0)(!(version>=2.0.0)))",osgi.service;filter:="(obj
 ectClass=com.liferay.admin.kernel.util.Omniadmin)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.expando.kernel.service
 .ExpandoValueLocalService)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.portal.kernel.cache.SingleVMPool)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.
 lock.LockManager)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.portal.kernel.messaging.Destination)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.messag
 ing.DestinationFactory)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.portal.kernel.module.configuration.Configuration
 Provider)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.portal.kernel.scheduler.SchedulerEngineHelper)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.sche
 duler.TriggerFactory)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.portal.kernel.security.ldap.AttributesTransformer)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.po
 rtal.kernel.security.ldap.LDAPSettings)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.portal.kernel.security.pwd.Passw
 ordEncryptor)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.portal.kernel.service.CompanyLocalService)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.serv
 ice.GroupLocalService)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.portal.kernel.service.ImageLocalService)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.portal.kern
 el.service.ListTypeService)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.portal.kernel.service.MembershipRequestLocal
 Service)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.portal.kernel.service.RoleLocalService)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.portal.kernel.service.User
 GroupLocalService)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.portal.kernel.service.UserLocalService)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.se
 rvice.persistence.ContactPersistence)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.portal.kernel.service.persistence.
 UserPersistence)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.portal.kernel.util.PrefsProps)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.portal.kernel.util.Props)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.port
 al.security.exportimport.UserExporter)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.portal.security.exportimport.User
 Importer)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.portal.security.ldap.SafePortalLDAP)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.portal.security.ldap.configu
 ration.ConfigurationProvider)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.portal.security.ldap.configuration.Configu
 rationProvider)";effective:=active;resolution:=optional;cardinality:=
 multiple,osgi.service;filter:="(objectClass=com.liferay.portal.securi
 ty.ldap.exportimport.LDAPToPortalConverter)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.portal.security.ldap.exporti
 mport.LDAPUserImporter)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.portal.security.ldap.exportimport.PortalToLDAPCo
 nverter)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.portal.security.ldap.validator.LDAPFilterValidator)";effective:
 =active,osgi.service;filter:="(objectClass=org.osgi.service.cm.Config
 urationAdmin)";effective:=active,osgi.ee;filter:="(&(osgi.ee=JavaSE)(
 version=1.8))"
Service-Component: OSGI-INF/com.liferay.portal.security.ldap.internal.
 DefaultAttributesTransformer.xml,OSGI-INF/com.liferay.portal.security
 .ldap.internal.DefaultLDAPSettings.xml,OSGI-INF/com.liferay.portal.se
 curity.ldap.internal.DefaultPortalLDAP.xml,OSGI-INF/com.liferay.porta
 l.security.ldap.internal.SafePortalLDAPImpl.xml,OSGI-INF/com.liferay.
 portal.security.ldap.internal.authenticator.LDAPAuth.xml,OSGI-INF/com
 .liferay.portal.security.ldap.internal.authenticator.configuration.LD
 APAuthConfigurationProviderImpl.xml,OSGI-INF/com.liferay.portal.secur
 ity.ldap.internal.configuration.LDAPConfigurationListener.xml,OSGI-IN
 F/com.liferay.portal.security.ldap.internal.configuration.LDAPServerC
 onfigurationProviderImpl.xml,OSGI-INF/com.liferay.portal.security.lda
 p.internal.configuration.SystemLDAPConfigurationProviderImpl.xml,OSGI
 -INF/com.liferay.portal.security.ldap.internal.configuration.persiste
 nce.listener.UserImportConfigurationModelListener.xml,OSGI-INF/com.li
 feray.portal.security.ldap.internal.exportimport.DefaultLDAPToPortalC
 onverter.xml,OSGI-INF/com.liferay.portal.security.ldap.internal.expor
 timport.DefaultPortalToLDAPConverter.xml,OSGI-INF/com.liferay.portal.
 security.ldap.internal.exportimport.LDAPUserExporterImpl.xml,OSGI-INF
 /com.liferay.portal.security.ldap.internal.exportimport.LDAPUserImpor
 terImpl.xml,OSGI-INF/com.liferay.portal.security.ldap.internal.export
 import.configuration.LDAPExportConfigurationProviderImpl.xml,OSGI-INF
 /com.liferay.portal.security.ldap.internal.exportimport.configuration
 .LDAPImportConfigurationProviderImpl.xml,OSGI-INF/com.liferay.portal.
 security.ldap.internal.instance.lifecycle.LDAPPortalInstanceLifecycle
 Listener.xml,OSGI-INF/com.liferay.portal.security.ldap.internal.messa
 ging.config.MessagingConfigurator.xml,OSGI-INF/com.liferay.portal.sec
 urity.ldap.internal.model.listener.ContactModelListener.xml,OSGI-INF/
 com.liferay.portal.security.ldap.internal.model.listener.UserGroupMod
 elListener.xml,OSGI-INF/com.liferay.portal.security.ldap.internal.mod
 el.listener.UserModelListener.xml,OSGI-INF/com.liferay.portal.securit
 y.ldap.internal.upgrade.LDAPServiceUpgrade.xml,OSGI-INF/com.liferay.p
 ortal.security.ldap.internal.validator.LDAPFilterValidatorImpl.xml,OS
 GI-INF/com.liferay.portal.security.ldap.internal.verify.LDAPPropertie
 sVerifyProcess.xml
Tool: Bnd-4.3.0.201909301554

